QuantLib: OneFactorModel::ShortRateTree Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
OneFactorModel::ShortRateTree Class Reference

Recombining trinomial tree discretizing the state variable. More...

`#include <ql/models/shortrate/onefactormodel.hpp>`

Inheritance diagram for OneFactorModel::ShortRateTree:
[legend]

## Public Member Functions
| ShortRateTree (const ext::shared_ptr< TrinomialTree > &tree, const ext::shared_ptr< ShortRateDynamics > &dynamics, const TimeGrid &timeGrid)
| Plain tree build-up from short-rate dynamics.
| ShortRateTree (const ext::shared_ptr< TrinomialTree > &tree, const ext::shared_ptr< ShortRateDynamics > &dynamics, const ext::shared_ptr< TermStructureFittingParameter::NumericalImpl > &phi, const TimeGrid &timeGrid)
| Tree build-up + numerical fitting to term-structure.
Size | size (Size i) const
DiscountFactor | discount (Size i, Size index) const
Real | underlying (Size i, Size index) const
Size | descendant (Size i, Size index, Size branch) const
Real | probability (Size i, Size index, Size branch) const
void | setSpread (Spread spread)
Public Member Functions inherited from TreeLattice1D< OneFactorModel::ShortRateTree >
| TreeLattice1D (const TimeGrid &timeGrid, Size n)
Disposable< Array > | grid (Time t) const
Real | underlying (Size i, Size index) const
Public Member Functions inherited from TreeLattice< OneFactorModel::ShortRateTree >
| TreeLattice (const TimeGrid &timeGrid, Size n)
void | initialize (DiscretizedAsset &, Time t) const
| initialize an asset at the given time.
void | rollback (DiscretizedAsset &, Time to) const
void | partialRollback (DiscretizedAsset &, Time to) const
Real | presentValue (DiscretizedAsset &) const
| Computes the present value of an asset using Arrow-Debrew prices.
const Array & | statePrices (Size i) const
void | stepback (Size i, const Array &values, Array &newValues) const
Public Member Functions inherited from Lattice
| Lattice (const TimeGrid &timeGrid)
const TimeGrid & | timeGrid () const

## Additional Inherited Members
Protected Member Functions inherited from TreeLattice< OneFactorModel::ShortRateTree >
void | computeStatePrices (Size until) const
Protected Member Functions inherited from CuriouslyRecurringTemplate< OneFactorModel::ShortRateTree >
OneFactorModel::ShortRateTree & | impl ()
const OneFactorModel::ShortRateTree & | impl () const
Protected Attributes inherited from TreeLattice< OneFactorModel::ShortRateTree >
std::vector< Array > | statePrices_
Protected Attributes inherited from Lattice
TimeGrid | t_

## Detailed Description

Recombining trinomial tree discretizing the state variable.